<?php

IF (DB::GET_COLUMN("SELECT COUNT(`ID`) FROM `MUSIC_DIR` WHERE `ID_DIR` = '".$id_dir."' AND `USER_ID` = '".$account['ID']."'") == 1){ 
  
  ERROR('Папка не может быть удалена, пока в ней есть хотябы одна папка', 'session');
  REDIRECT('/modules/?path=music&section=users&id='.$account['ID'].'&dir='.$id_dir.'');
  
}

IF (DB::GET_COLUMN("SELECT COUNT(`ID`) FROM `MUSIC` WHERE `ID_DIR` = '".$id_dir."' AND `USER_ID` = '".$account['ID']."'") > 20){ 
  
  ERROR('Папка не может быть удалена, пока в ней более 20 файлов', 'session');
  REDIRECT('/modules/?path=music&section=users&id='.$account['ID'].'&dir='.$id_dir.'');
  
}

/*
------------------------
Удаление музыки из папки
------------------------
*/

$data = DB::GET_STRING_ALL("SELECT `ID`,`EXT` FROM `MUSIC` WHERE `ID_DIR` = '".$id_dir."' AND `USER_ID` = '".$account['ID']."'");

WHILE ($list = $data->FETCH()){
  
  @UNLINK(ROOT.'/files/upload/music/source/'.$list['ID'].'.'.$list['EXT'].'');
  
  DB::GET_SET("DELETE FROM `MUSIC` WHERE `ID` = '".$list['ID']."' AND `USER_ID` = '".$account['ID']."'");
  
}

/*
--------------------
Удаление самой папки
--------------------
*/
  
DB::GET_SET("DELETE FROM `MUSIC_DIR` WHERE `ID` = '".$id_dir."' AND `USER_ID` = '".$account['ID']."'");

IF (ACCESS('music_dir_delete', NULL, 1) || MANAGEMENT == 1){
  
  LOGS('Музыка - удаление альбома '.$account['LOGIN'].'', $user['ID']);

}

SUCCESS('Папка успешно удалена', 'session');
REDIRECT('/modules/?path=music&section=users&id='.$account['ID'].'&dir='.$id_dir.'');

?>